#!/bin/bash
echo starting at `date` > /var/log/tvm2vdr.log

logger -s "Starting tvmovie2vdr"
svdrpsend.pl MESG "Suche EPG per TVMovie ..."

[ ! -d /video/epgimages ] && mkdir /video/epgimages
[ ! -d /tmp/downloadfiles ] && mkdir /tmp/downloadfiles
[ ! -d /tmp/downloadupdatefiles ] && mkdir /tmp/downloadupdatefiles
[ ! -d /tmp/infosatepg ] && mkdir /tmp/infosatepg

svdrpsend.pl plug epgsearch SETS off

cd /etc/vdr/tvmovie2vdr
# start tvmovie2vdr
./tvm2vdr >> /var/log/tvm2vdr.log

svdrpsend.pl plug epgsearch SETS on 
svdrpsend.pl MESG "EPG-Suche beendet"
logger -s "EPG Suche beendet"

# clear old timer for vdr < 1.3.23
./clearoldtimer >> /var/log/tvm2vdr.log

# cleanup old files
find /video/epgimages/ -type f  -mtime +10 -exec rm {} \;
find /tmp/downloadfiles/ -type f  -mtime +10 -exec rm {} \;
find /tmp/downloadupdatefiles/ -type f  -mtime +10 -exec rm {} \;
find /tmp/infosatepg/ -type f  -mtime +10 -exec rm {} \;
